## dnsmasq 1.4-2

=== Makefile ===
OBJS = cache.o rfc1035.o dhcp.o dnsmasq.o
BINDIR = /usr/local/sbin
MANDIR = /usr/local/man

all : dnsmasq

clean :
	rm -f *~ $(OBJS) dnsmasq

.c.o: dnsmasq.h
	gcc -O2 -Wall -W -c $*.c 


dnsmasq : $(OBJS) dnsmasq.h config.h
	gcc -o $@  $(OBJS) 

install : dnsmasq
	install -d $(BINDIR) -d $(MANDIR)
	install -m 644 dnsmasq.8 $(MANDIR)/man8 
	install -m 755 dnsmasq $(BINDIR)
