=== debian/changelog ===
dnsmasq (2.35-1osso4diablo1+etch4) unstable; urgency=low

  * dnsmasq vulnerable to DNS cache poisoning (CVE identifier CVE-2008-1447)
    Fixes: NB#87862

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 28 Aug 2008 16:13:10 +0300

dnsmasq (2.35-1+etch4) stable-security; urgency=low

  * Fix another crash

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 29 Jul 2008 17:09:11 +0000

dnsmasq (2.35-1+etch3) stable-security; urgency=high

  * Fix test

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 18 Jul 2008 17:26:30 +0000

dnsmasq (2.35-1+etch2) stable-security; urgency=high

  * Test daemon->srv_save->sfd in nl_routechange()

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 17 Jul 2008 21:57:14 +0000

dnsmasq (2.35-1+etch1) stable-security; urgency=high

  * Fix CVE-2008-1447

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 11 Jul 2008 18:40:24 +0000

dnsmasq (2.35-1osso4) unstable; urgency=low

  * Added resolv.conf.wimax0 file to configuration. Fixes: NB#75083

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  6 Nov 2007 10:08:30 +0200

dnsmasq (2.35-1osso3) unstable; urgency=low

  * Enabled previously enabled flags in config file.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  2 Oct 2007 07:52:30 +0300

dnsmasq (2.35-1osso2) unstable; urgency=low

  * Updated init sequence number. Fixes: NB#60080

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 15 Jun 2007 14:54:02 +0300

dnsmasq (2.35-1osso1) unstable; urgency=low

  * New upstream.
  * Patched debian/init (OSSO patch)
  * Added thumb compilation support (OSSO patch)
  * Add support for OSSO resolvconf scheme (OSSO patch)
  * Add support for core dumps also in non-debug mode (OSSO patch)
  * Removed adduser dependency and pkg-wrapper usage (OSSO patch)

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  7 Jun 2007 15:44:27 +0300

dnsmasq (2.35-1) unstable; urgency=low

   * New upstream.
				
 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 18 Oct 2006 09:23:28 +0000

dnsmasq (2.34-1) unstable; urgency=low

   * New upstream.
   * Includes --clear-on-reload flag. (loses: #391654)
   * Don't any longer set the "domain-needed" and "bogus-priv" flags in the
   * the default-installed dnsmasq.conf. These can generate puzzling 
   * behaviour for people who get them without asking.
				
 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 9 Aug 2006 09:23:28 +0000

dnsmasq (2.33-1) unstable; urgency=low

   * New upstream.
   * Remove bashism from Makefile (closes: #375409)
   * Added Provides: $named to LSB header in init script.
   * Add --dns-forward-max flag. (closes: #377506)
				
 -- Simon Kelley <simon@thekelleys.org.uk>  Sun, 25 June 2006 18:03:13 +0000

dnsmasq (2.32-2) unstable; urgency=low

   * Added LSB tags to init.d startup script. (closes: #374650)
				
 -- Simon Kelley <simon@thekelleys.org.uk>  Sun, 25 June 2006 17:55:11 +0000

dnsmasq (2.32-1) unstable; urgency=low

   * New upstream.
				
 -- Simon Kelley <simon@thekelleys.org.uk>  Mon, 8 May 2006 09:23:28 +0000

dnsmasq (2.31-1) unstable; urgency=high

   * New upstream. (closes: #364800)
   * Compile in Dbus support now that suitable Dbus packages exist.
   * Don't stop an old dnsmasq process, until a new one is ready, 
     when upgrading. (closes: #366224)
   * Move to standards-version 3.7.2 (no changes needed).
	
 -- Simon Kelley <simon@thekelleys.org.uk>  Sat, 6 May 2006 11:58:22 +0000

dnsmasq (2.30-1) unstable; urgency=low

   * New upstream, fixes crash with DHCP broadcast replies.
				
 -- Simon Kelley <simon@thekelleys.org.uk>  Sun, 23 Apr 2006 14:58:22 +0000

dnsmasq (2.29-1) unstable; urgency=low

   * New upstream. (closes: #363244) (closes: #363340)
   * Made config options clearer in src/config.h and 
     clarify ISC integration status in Debian readme. (closes: #364250)
			
 -- Simon Kelley <simon@thekelleys.org.uk>  Tue, 18 Apr 2006 10:26:12 +0000

dnsmasq (2.28-1) unstable; urgency=low

   * New upstream. (closes: #359956) (closes: #362499)
   * Added firestarter info to FAQ. (closes: #359139)
		
 -- Simon Kelley <simon@thekelleys.org.uk>  Tue, 14 Mar 2006 19:20:12 +0000

dnsmasq (2.27-1) unstable; urgency=low

   * New upstream.
   * Workaround buggy Microsoft DHCP clients. (closes: #355008)
		
 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 1 Feb 2006 17:05:12 +0000

dnsmasq (2.26-1) unstable; urgency=high

   * New upstream. (Fixes possible crash in 2.25, hence urgency).
		
 -- Simon Kelley <simon@thekelleys.org.uk>  Sun, 22 Jan 2006 11:05:22 +0000

dnsmasq (2.25-1) unstable; urgency=low

   * Remove bashisms in postinst and prerm scripts.
   * Remove misconcieved dependency on locales.	
   * Depend on adduser.
		
 -- Simon Kelley <simon@thekelleys.org.uk>  Thu, 01 Dec 2005 21:02:12 +0000

dnsmasq (2.24-1) unstable; urgency=low

   * New upstream. (closes: #330422)
   * Fix typo and clean up dnsmasq.conf (closes: #326057) (closes: #304446)
   * Add build support for I18N and gettext.
   * Fixed manpage typos. (closes: #336413)
   * Create a dnsmasq-unique userid for the daemon to run as. (closes: #338353)
	
 -- Simon Kelley <simon@thekelleys.org.uk>  Sat, 03 Sep 2005 20:02:32 +0000

dnsmasq (2.23-1) unstable; urgency=low

   * New upstream. (closes: #302501) (closes: #315794)
   * Fix manpage typos. (closes: #304984)
   * Add support for DNSMASQ_EXCEPT in /etc/defaults/dnsmasq.
     putting "lo" in this also disables resolvconf support.
   * No longer delete pre-existing /etc/init.d symlinks. The 
     change in default runlevels which neccesitated this 
     is now ancient history and anyway the startup script now 
     behaves when called twice. (closes: #312111)
   * Tightened config-file parser. (closes: #317030)
	
 -- Simon Kelley <simon@thekelleys.org.uk>  Tue, 02 Aug 2005 13:17:22 +0000

dnsmasq (2.22-2) unstable; urgency=low

   * Make the resolv.conf polling code resistant to 
     backwards-moving system clocks. (closes: #306117) (closes: #300694)
        
 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 04 May 2005 13:25:23 +0000


