=== debian/control ===
Source: dnsmasq
Section: net
Priority: optional
Build-depends: gettext, libdbus-1-dev (>=0.61)
Maintainer: Simon Kelley <simon@thekelleys.org.uk>
Standards-Version: 3.7.2

Package: dnsmasq
Architecture: any
Depends: netbase, ${shlibs:Depends}
Suggests: resolvconf
Conflicts: pdnsd, resolvconf (<<1.15)
Description: A small caching DNS proxy and DHCP server
 Dnsmasq is a lightweight, easy to configure, DNS forwarder and DHCP
 server. It is designed to provide DNS and optionally, DHCP, to a 
 small network. It can serve the names of local machines which are 
 not in the global DNS. The DHCP server integrates with the DNS 
 server and allows machines with DHCP-allocated addresses
 to appear in the DNS with names configured either in each host or
 in a central configuration file. Dnsmasq supports static and dynamic 
 DHCP leases and BOOTP for network booting of diskless machines.
