## dnsmasq 2.45-1%2blenny1%2bmaemo3%2b0m5

=== Makefile ===
--- 
+++ 
@@ -46,6 +46,8 @@
 clean :
 	rm -f *~ $(SRC)/*.mo contrib/*/*~ */*~ $(SRC)/*.pot 
 	rm -f $(SRC)/*.o $(SRC)/dnsmasq.a $(SRC)/dnsmasq core */core
+	rm -rf debian/base debian/daemon
+	rm -f debian/files debian/substvars
 
 install : all install-common
 
@@ -74,7 +76,7 @@
 merge :
 	$(MAKE) I18N=-DLOCALEDIR='\"$(LOCALEDIR)\"' -f ../bld/Makefile -C $(SRC) dnsmasq.pot
 	cd $(PO); for f in *.po; do \
-		msgmerge -U $$f ../$(SRC)/dnsmasq.pot; \
+		msgmerge --no-wrap -U $$f ../$(SRC)/dnsmasq.pot; \
 	done
