=== debian/control ===
Source: dnsmasq
Section: net
Priority: optional
Build-depends: gettext, libdbus-1-dev (>=0.61), gawk
Maintainer: Simon Kelley <simon@thekelleys.org.uk>
Standards-Version: 3.7.2

Package: dnsmasq
Architecture: all
Depends: netbase, dnsmasq-base
Suggests: resolvconf
Conflicts: resolvconf (<<1.15)
Description: A small caching DNS proxy and DHCP/TFTP server
 Dnsmasq is a lightweight, easy to configure, DNS forwarder and DHCP
 server. It is designed to provide DNS and optionally, DHCP, to a 
 small network. It can serve the names of local machines which are 
 not in the global DNS. The DHCP server integrates with the DNS 
 server and allows machines with DHCP-allocated addresses
 to appear in the DNS with names configured either in each host or
 in a central configuration file. Dnsmasq supports static and dynamic 
 DHCP leases and BOOTP/TFTP for network booting of diskless machines.

Package: dnsmasq-base
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: dnsmasq (<<2.41)
Description: A small caching DNS proxy and DHCP/TFTP server
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package.
